SerializationRegistrationType.Serializer (Apache Geode 1.12.3)
Date: 2021-06-11

org.apache.geode.cache.configuration

## Class SerializationRegistrationType.Serializer

- java.lang.Object
- - org.apache.geode.cache.configuration.SerializationRegistrationType.Serializer

- Enclosing class:
    SerializationRegistrationType

      public static class SerializationRegistrationType.Serializer
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `className`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Gets the value of the className property.
    `void` | `setClassName(String value)` Sets the value of the className property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected String className

  - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Gets the value of the className property. possible object is `String`

    - #### setClassName

          public void setClassName(String value)

      Sets the value of the className property. allowed object is `String`